Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.esf
Class SigPolicyQualifiers

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.esf.SigPolicyQualifiers

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class SigPolicyQualifiers
extends ASN1Object

Constructor Summary
`SigPolicyQualifiers(SigPolicyQualifierInfo[] qualifierInfos)`

Method Summary
`SigPolicyQualifierInfo` | `getInfoAt(int i)` Return the SigPolicyQualifierInfo at index i.
`static SigPolicyQualifiers` | `getInstance(java.lang.Object obj)`
`int` | `size()` Return the number of qualifier info elements present.
`ASN1Primitive` | `toASN1Primitive()` SigPolicyQualifiers ::= SEQUENCE SIZE (1..MAX) OF SigPolicyQualifierInfo

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SigPolicyQualifiers

    public SigPolicyQualifiers(SigPolicyQualifierInfo[] qualifierInfos)

Method Detail

### getInstance

    public static SigPolicyQualifiers getInstance(java.lang.Object obj)

### size

    public int size()

  Return the number of qualifier info elements present.

  Returns:
    number of elements present.

### getInfoAt

    public SigPolicyQualifierInfo getInfoAt(int i)

  Return the SigPolicyQualifierInfo at index i.

  Parameters:
    `i` - index of the info of interest
  Returns:
    the info at index i.

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  SigPolicyQualifiers ::= SEQUENCE SIZE (1..MAX) OF SigPolicyQualifierInfo

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD